<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: EmoteCB Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d6a/class_emote_c_b.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">EmoteCB Class Reference</div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for EmoteCB:</div>
<div class="dyncontent">
 <div class="center">
  <img src="../../d1/d6a/class_emote_c_b.png" usemap="#EmoteCB_map" alt=""/>
  <map id="EmoteCB_map" name="EmoteCB_map">
<area href="../../dc/d02/class_human_command_action_callback.html" alt="HumanCommandActionCallback" shape="rect" coords="0,0,191,24"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a4e090976f00b5102d81d0ded81f11153"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6a/class_emote_c_b.html#a4e090976f00b5102d81d0ded81f11153">~EmoteCB</a> ()</td></tr>
<tr class="separator:a4e090976f00b5102d81d0ded81f11153"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b458a7f83a6ec2f76182b3b80d48bbb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6a/class_emote_c_b.html#a9b458a7f83a6ec2f76182b3b80d48bbb">CancelCondition</a> ()</td></tr>
<tr class="separator:a9b458a7f83a6ec2f76182b3b80d48bbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d7818a48f100502ec10e9603cda9732"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6a/class_emote_c_b.html#a2d7818a48f100502ec10e9603cda9732">IsEmoteCallback</a> ()</td></tr>
<tr class="separator:a2d7818a48f100502ec10e9603cda9732"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4af61c551cd84773949f23f570d3d042"><td class="memItemLeft" align="right" valign="top">override void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6a/class_emote_c_b.html#a4af61c551cd84773949f23f570d3d042">OnAnimationEvent</a> (<a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> pEventID)</td></tr>
<tr class="separator:a4af61c551cd84773949f23f570d3d042"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaaaead8fd5f5a7ee1a0e836fd48c325e"><td class="memItemLeft" align="right" valign="top">override <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6a/class_emote_c_b.html#aaaaead8fd5f5a7ee1a0e836fd48c325e">IsGestureCallback</a> ()</td></tr>
<tr class="separator:aaaaead8fd5f5a7ee1a0e836fd48c325e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7fe18753ac0fdd1ae3f2dfba42c1b72c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6a/class_emote_c_b.html#a7fe18753ac0fdd1ae3f2dfba42c1b72c">m_IsFullbody</a></td></tr>
<tr class="separator:a7fe18753ac0fdd1ae3f2dfba42c1b72c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae96075e6e1e7b126488bed5e1bf832a2"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6a/class_emote_c_b.html#ae96075e6e1e7b126488bed5e1bf832a2">m_callbackID</a></td></tr>
<tr class="separator:ae96075e6e1e7b126488bed5e1bf832a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a837b6cc799dccaf50f0e570aa068dc32"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6a/class_emote_c_b.html#a837b6cc799dccaf50f0e570aa068dc32">m_player</a></td></tr>
<tr class="separator:a837b6cc799dccaf50f0e570aa068dc32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3e8a33c0ee7e533b018ef36f00025276"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../df/d13/_emote_manager_8c.html#a2c606eafce531200c546669485d10e2f">EmoteManager</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d1/d6a/class_emote_c_b.html#a3e8a33c0ee7e533b018ef36f00025276">m_Manager</a></td></tr>
<tr class="separator:a3e8a33c0ee7e533b018ef36f00025276"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../df/d13/_emote_manager_8c_source.html#l00001">1</a> of file <a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a4e090976f00b5102d81d0ded81f11153" name="a4e090976f00b5102d81d0ded81f11153"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4e090976f00b5102d81d0ded81f11153">&#9670;&#160;</a></span>~EmoteCB()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void EmoteCB::~EmoteCB </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_emote_manager_8c_source.html#l00009">9</a> of file <a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a9b458a7f83a6ec2f76182b3b80d48bbb" name="a9b458a7f83a6ec2f76182b3b80d48bbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9b458a7f83a6ec2f76182b3b80d48bbb">&#9670;&#160;</a></span>CancelCondition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> EmoteCB::CancelCondition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_emote_manager_8c_source.html#l00015">15</a> of file <a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a>.</p>

</div>
</div>
<a id="a2d7818a48f100502ec10e9603cda9732" name="a2d7818a48f100502ec10e9603cda9732"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d7818a48f100502ec10e9603cda9732">&#9670;&#160;</a></span>IsEmoteCallback()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> EmoteCB::IsEmoteCallback </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_emote_manager_8c_source.html#l00020">20</a> of file <a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a>.</p>

</div>
</div>
<a id="aaaaead8fd5f5a7ee1a0e836fd48c325e" name="aaaaead8fd5f5a7ee1a0e836fd48c325e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaaaead8fd5f5a7ee1a0e836fd48c325e">&#9670;&#160;</a></span>IsGestureCallback()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override <a class="el" href="../../d9/db9/classbool.html">bool</a> EmoteCB::IsGestureCallback </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_emote_manager_8c_source.html#l00068">68</a> of file <a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a>.</p>

</div>
</div>
<a id="a4af61c551cd84773949f23f570d3d042" name="a4af61c551cd84773949f23f570d3d042"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4af61c551cd84773949f23f570d3d042">&#9670;&#160;</a></span>OnAnimationEvent()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">override void EmoteCB::OnAnimationEvent </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td>
          <td class="paramname"><em>pEventID</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_emote_manager_8c_source.html#l00025">25</a> of file <a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="ae96075e6e1e7b126488bed5e1bf832a2" name="ae96075e6e1e7b126488bed5e1bf832a2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae96075e6e1e7b126488bed5e1bf832a2">&#9670;&#160;</a></span>m_callbackID</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> EmoteCB::m_callbackID</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_emote_manager_8c_source.html#l00005">5</a> of file <a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a>.</p>

</div>
</div>
<a id="a7fe18753ac0fdd1ae3f2dfba42c1b72c" name="a7fe18753ac0fdd1ae3f2dfba42c1b72c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a7fe18753ac0fdd1ae3f2dfba42c1b72c">&#9670;&#160;</a></span>m_IsFullbody</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> EmoteCB::m_IsFullbody</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_emote_manager_8c_source.html#l00004">4</a> of file <a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a>.</p>

</div>
</div>
<a id="a3e8a33c0ee7e533b018ef36f00025276" name="a3e8a33c0ee7e533b018ef36f00025276"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3e8a33c0ee7e533b018ef36f00025276">&#9670;&#160;</a></span>m_Manager</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../df/d13/_emote_manager_8c.html#a2c606eafce531200c546669485d10e2f">EmoteManager</a> EmoteCB::m_Manager</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_emote_manager_8c_source.html#l00007">7</a> of file <a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a>.</p>

</div>
</div>
<a id="a837b6cc799dccaf50f0e570aa068dc32" name="a837b6cc799dccaf50f0e570aa068dc32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a837b6cc799dccaf50f0e570aa068dc32">&#9670;&#160;</a></span>m_player</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/da8/class_player_base.html">PlayerBase</a> EmoteCB::m_player</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../df/d13/_emote_manager_8c_source.html#l00006">6</a> of file <a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/4_World/Classes/<a class="el" href="../../df/d13/_emote_manager_8c_source.html">EmoteManager.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d1/d6a/class_emote_c_b.html">EmoteCB</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
